mutation createCustomRateCard(
  $name: String!,
  $baseBook: String,
  $discount: Float,
  $isDefault: Boolean
) @auth(level: USER) {
  customRateCard_insert(
    data: {
      name: $name,
      baseBook: $baseBook,
      discount: $discount,
      isDefault: $isDefault
    }
  ) 
}

mutation updateCustomRateCard(
  $id: UUID!,
  $name: String,
  $baseBook: String,
  $discount: Float,
  $isDefault: Boolean
) @auth(level: USER) {
  customRateCard_update(
    id: $id,
    data: {
      name: $name,
      baseBook: $baseBook,
      discount: $discount,
      isDefault: $isDefault
    }
  ) 
}

mutation deleteCustomRateCard($id: UUID!) @auth(level: USER) {
  customRateCard_delete(id: $id) 
}
